<?php

namespace App\Repository;

use App\Entity\ProjectInspiring;
use Doctrine\Bundle\DoctrineBundle\Repository\ServiceEntityRepository;
use Doctrine\Persistence\ManagerRegistry;

/**
 * @method ProjectInspiring|null find($id, $lockMode = null, $lockVersion = null)
 * @method ProjectInspiring|null findOneBy(array $criteria, array $orderBy = null)
 * @method ProjectInspiring[]    findAll()
 * @method ProjectInspiring[]    findBy(array $criteria, array $orderBy = null, $limit = null, $offset = null)
 */
class ProjectInspiringRepository extends ServiceEntityRepository
{
    public function __construct(ManagerRegistry $registry)
    {
        parent::__construct($registry, ProjectInspiring::class);
    }

    // /**
    //  * @return ProjectInspiring[] Returns an array of ProjectInspiring objects
    //  */
    /*
    public function findByExampleField($value)
    {
        return $this->createQueryBuilder('p')
            ->andWhere('p.exampleField = :val')
            ->setParameter('val', $value)
            ->orderBy('p.id', 'ASC')
            ->setMaxResults(10)
            ->getQuery()
            ->getResult()
        ;
    }
    */

    /*
    public function findOneBySomeField($value): ?ProjectInspiring
    {
        return $this->createQueryBuilder('p')
            ->andWhere('p.exampleField = :val')
            ->setParameter('val', $value)
            ->getQuery()
            ->getOneOrNullResult()
        ;
    }
    */
}
